#include "TMHistogrammingEventDumpCalibHeader.h"

//_____________________________________________________________________
TMHistogrammingEventDumpCalibHeader::TMHistogrammingEventDumpCalibHeader() :
  TMHistogrammingEventDump()
{
}
//_____________________________________________________________________
TMHistogrammingEventDumpCalibHeader::~TMHistogrammingEventDumpCalibHeader() {
}
//_____________________________________________________________________
void TMHistogrammingEventDumpCalibHeader::StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber) {
  TMHistogramming::StartEvent(event, globalEventNumber);
  if (fEventAccept) {
    DumpCalibHeader(event,globalEventNumber);
    //    DumpThis(" ");
    fNeedRedump=kTRUE;
  }
}
//_____________________________________________________________________
void TMHistogrammingEventDumpCalibHeader::ProcessEvent(eventHeaderStruct *event) {
  if (fEventAccept) {
    // do nothing
  }
}
